Skip to main content
GET
/
entitlements
List entitlements
curl --request GET \
  --url https://api.akua.dev/v1/entitlements \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "workspace_id": "<string>",
      "feature": {
        "feature_set": "<string>",
        "key": "<string>",
        "name": "<string>"
      },
      "allocation": {
        "value": true
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Query Parameters

cursor
string

Pagination cursor from a previous response's next_cursor.

limit
integer
default:50

Items per page (1-100, default 50)

Required range: 1 <= x <= 100
Example:

50

workspace
string

Filter entitlements to one workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

feature_set
string

Filter entitlements to one feature set, such as compute.

Required string length: 1 - 128
feature
string

Filter entitlements to one exact feature key, such as compute.max_clusters.

Required string length: 1 - 256

Response

Entitlement list

data
object[]
required
has_more
boolean
required

True if more items exist after this page.

next_cursor
string | null
required

Opaque cursor for the next page, or null if no more pages.

etag
string
required